Bug 1558861 - AttributeError: 'NoneType' object has no attribute 'typeattributes'
Summary: AttributeError: 'NoneType' object has no attribute 'typeattributes'
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: policycoreutils
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Petr Lautrbach πŸ‘¨
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1528993 1644721 1647827 1648516 (view as bug list)
Depends On: 1553897
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-21 07:28 UTC by Petr Lautrbach πŸ‘¨
Modified: 2019-05-07 11:52 UTC (History)
12 users (show)

Fixed In Version: policycoreutils-2.8-15.fc29
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1553897
Environment:
Last Closed: 2019-05-07 11:52:26 UTC


Attachments (Terms of Use)

Description Petr Lautrbach πŸ‘¨ 2018-03-21 07:28:30 UTC
+++ This bug was initially created as a clone of Bug #1553897 +++

Description of problem:

  Running scriptlet: selinux-policy-minimum-3.13.1-283.27.fc27.noarch                                               3/8 
  Installing       : selinux-policy-minimum-3.13.1-283.27.fc27.noarch                                               3/8 
  Running scriptlet: selinux-policy-minimum-3.13.1-283.27.fc27.noarch                                               3/8 
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 28, in <module>
    import seobject
  File "/usr/lib64/python3.6/site-packages/seobject.py", line 1059, in <module>
    class portRecords(semanageRecords):
  File "/usr/lib64/python3.6/site-packages/seobject.py", line 1061, in portRecords
    valid_types = list(list(sepolicy.info(sepolicy.ATTRIBUTE, "port_type"))[0]["types"])
  File "/usr/lib/python3.6/site-packages/sepolicy/__init__.py", line 197, in <genexpr>
    return ({
  File "/usr/lib64/python3.6/site-packages/setools/typeattrquery.py", line 65, in results
    for attr in self.policy.typeattributes():
AttributeError: 'NoneType' object has no attribute 'typeattributes'
Failed to resolve typeattributeset statement at /var/lib/selinux/minimum/tmp/modules/100/xserver/cil:508
/usr/sbin/semodule:  Failed!


Version-Release number of selected component (if applicable):
selinux-policy-minimum.noarch 3.13.1-283.27.fc27

--- Additional comment from Kamil PΓ‘ral on 2018-03-09 20:53 CET ---

Comment 1 Viktor Ashirov 2018-05-12 23:47:35 UTC
I'm getting the same error in Fedora 28 docker container (where getenforce returns Disabled).

[root@5fa28a2bc89b /]# semanage
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 28, in <module>
    import seobject
  File "/usr/lib/python3.6/site-packages/seobject.py", line 1045, in <module>
    class portRecords(semanageRecords):
  File "/usr/lib/python3.6/site-packages/seobject.py", line 1047, in portRecords
    valid_types = list(list(sepolicy.info(sepolicy.ATTRIBUTE, "port_type"))[0]["types"])
  File "/usr/lib/python3.6/site-packages/sepolicy/__init__.py", line 197, in <genexpr>
    return ({
  File "/usr/lib64/python3.6/site-packages/setools/typeattrquery.py", line 65, in results
    for attr in self.policy.typeattributes():
AttributeError: 'NoneType' object has no attribute 'typeattributes'
[root@5fa28a2bc89b /]# getenforce 
Disabled

Comment 2 Marek SkalickΓ½ 2018-11-05 15:55:45 UTC
Any update on this? Having the same problem in F29 container...

Comment 3 Vit Mojzis πŸ”’ 2018-11-21 15:52:13 UTC
*** Bug 1644721 has been marked as a duplicate of this bug. ***

Comment 4 Vit Mojzis πŸ”’ 2018-11-26 16:13:06 UTC
*** Bug 1647827 has been marked as a duplicate of this bug. ***

Comment 5 Ben Cotton 2018-11-27 13:28:50 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Vit Mojzis πŸ”’ 2018-11-27 15:18:06 UTC
*** Bug 1528993 has been marked as a duplicate of this bug. ***

Comment 7 Vit Mojzis πŸ”’ 2018-11-29 12:25:49 UTC
*** Bug 1648516 has been marked as a duplicate of this bug. ***

Comment 8 Fedora Update System 2019-01-21 20:51:13 UTC
policycoreutils-2.8-15.fc29 libselinux-2.8-6.fc29 libsepol-2.8-3.fc29 libsemanage-2.8-8.fc29 checkpolicy-2.8-3.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-16fd3acb03

Comment 9 Fedora Update System 2019-01-22 03:04:01 UTC
checkpolicy-2.8-3.fc29, libselinux-2.8-6.fc29, libsemanage-2.8-8.fc29, libsepol-2.8-3.fc29, policycoreutils-2.8-15.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-16fd3acb03

Comment 10 Fedora Update System 2019-01-23 02:28:06 UTC
checkpolicy-2.8-3.fc29, libselinux-2.8-6.fc29, libsemanage-2.8-8.fc29, libsepol-2.8-3.fc29, policycoreutils-2.8-15.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Petr Lautrbach πŸ‘¨ 2019-01-23 13:21:47 UTC
Re-opened for F28

Comment 12 Ben Cotton 2019-05-02 19:35:18 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 13 Jan Pazdziora 2019-05-07 11:32:36 UTC
I still see the issue on Fedora 28 but I assume no fix is forthcoming there. So how about NEXTRELEASE? Or just let it fall into EOL?

Comment 14 Petr Lautrbach πŸ‘¨ 2019-05-07 11:52:26 UTC
NEXTRELEASE looks better.


Note You need to log in before you can comment on or make changes to this bug.